Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1)

Issue 2891193002: Mojo JS bindings: switch all mojo/ layout tests to use the new mode. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
1 week, 3 days ago by yzshen1
Modified:
1 week, 1 day ago
CC:
Aaron Boodman, abarth-chromium, blink-reviews, chromium-reviews, darin (slow to review), qsr+mojo_chromium.org, viettrungluu+watch_chromium.org, yzshen+watch_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Mojo JS bindings: switch all mojo/ layout tests to use the new bindings. BUG=699569 Review-Url: https://codereview.chromium.org/2891193002 Cr-Commit-Position: refs/heads/master@{#473439} Committed: https://chromium.googlesource.com/chromium/src/+/8e95f5e84d92d7690faed48157cbe09fc6762376

Patch Set 1 #

Patch Set 2 : . #

Unified diffs Side-by-side diffs Delta from patch set Stats (+1817 lines, -1987 lines) Patch
M mojo/public/interfaces/bindings/tests/BUILD.gn View 11 chunks +14 lines, -0 lines 0 comments Download
M mojo/public/js/BUILD.gn View 2 chunks +4 lines, -2 lines 0 comments Download
M mojo/public/js/new_bindings/bindings.js View 2 chunks +0 lines, -9 lines 0 comments Download
M mojo/public/js/new_bindings/connector.js View 1 chunk +0 lines, -5 lines 0 comments Download
M mojo/public/js/new_bindings/lib/interface_endpoint_client.js View 1 chunk +2 lines, -2 lines 0 comments Download
M mojo/public/js/new_bindings/router.js View 1 chunk +0 lines, -4 lines 0 comments Download
M mojo/public/js/new_bindings/validator.js View 1 chunk +4 lines, -11 lines 0 comments Download
M mojo/public/tools/bindings/generators/js_templates/interface_definition.tmpl View 4 chunks +7 lines, -7 lines 0 comments Download
M mojo/public/tools/bindings/generators/js_templates/module.amd.tmpl View 1 chunk +1 line, -0 lines 0 comments Download
M mojo/public/tools/bindings/generators/js_templates/module_definition.tmpl View 1 chunk +1 line, -1 line 0 comments Download
M mojo/public/tools/bindings/pylib/mojom/generate/generator.py View 1 chunk +3 lines, -3 lines 0 comments Download
M third_party/WebKit/LayoutTests/mojo/associated_binding.html View 1 chunk +107 lines, -128 lines 0 comments Download
M third_party/WebKit/LayoutTests/mojo/associated_interface_ptr.html View 1 chunk +323 lines, -379 lines 0 comments Download
M third_party/WebKit/LayoutTests/mojo/binding.html View 4 chunks +27 lines, -47 lines 0 comments Download
M third_party/WebKit/LayoutTests/mojo/codec.html View 1 chunk +286 lines, -295 lines 0 comments Download
M third_party/WebKit/LayoutTests/mojo/connection.html View 1 chunk +76 lines, -88 lines 0 comments Download
M third_party/WebKit/LayoutTests/mojo/interface_ptr.html View 1 chunk +163 lines, -181 lines 0 comments Download
M third_party/WebKit/LayoutTests/mojo/resources/validation_test_input_parser.js View 3 chunks +6 lines, -10 lines 0 comments Download
M third_party/WebKit/LayoutTests/mojo/sample_service.html View 1 chunk +135 lines, -147 lines 0 comments Download
M third_party/WebKit/LayoutTests/mojo/struct.html View 1 chunk +228 lines, -237 lines 0 comments Download
M third_party/WebKit/LayoutTests/mojo/union.html View 1 1 chunk +158 lines, -162 lines 0 comments Download
M third_party/WebKit/LayoutTests/mojo/validation.html View 1 chunk +268 lines, -269 lines 0 comments Download
M third_party/WebKit/Source/core/mojo/MojoWatcher.cpp View 1 chunk +4 lines, -0 lines 0 comments Download
Commit queue not available (can’t edit this change).

Depends on Patchset:

Messages

Total messages: 22 (15 generated)
yzshen1
Hi, Ken and Kentaro. Would you please take a look at this change? Ken: Everything. ...
1 week, 3 days ago (2017-05-18 21:57:22 UTC) #6
haraken
WebKit/Source LGTM
1 week, 3 days ago (2017-05-19 01:53:22 UTC) #8
Ken Rockot(use gerrit already)
lgtm
1 week, 2 days ago (2017-05-19 17:06:50 UTC) #9
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2891193002/20001
1 week, 1 day ago (2017-05-20 07:38:52 UTC) #15
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_rel_ng/builds/460665)
1 week, 1 day ago (2017-05-20 10:51:14 UTC) #17
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2891193002/20001
1 week, 1 day ago (2017-05-20 13:56:51 UTC) #19
commit-bot: I haz the power
1 week, 1 day ago (2017-05-20 15:25:25 UTC) #22
Message was sent while issue was closed.
Committed patchset #2 (id:20001) as
https://chromium.googlesource.com/chromium/src/+/8e95f5e84d92d7690faed48157cb...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 650457f06